{% extends "src/elements/_template.njk" %}
{% set title = "WETH - WBTC LP" %}
{% block content %}


    <div class="heading">
        <h1 class="heading__title">{{ title }}</h1>
        <div class="heading__content">
            <div class="heading__links">
                <a href="#" class="heading__link">eth.com</a>
                <a href="#" class="heading__link">eth.com</a>
                <a href="#" class="heading__link">eth.com</a>
                <a href="#" class="heading__link">eth.com</a>
                <a href="#" class="heading__link">eth.com</a>
                <a href="#" class="heading__link">eth.com</a>
                <a href="#" class="heading__link">eth.com</a>
                <a href="#" class="heading__link">eth.com</a>
            </div>
        </div>
    </div>

    <div class="section section--bottom">
        <div class="main-row">
            <div class="main-content">
                <div class="data-section" data-section>
                    <div class="data-heading">
                        <div class="data-heading__tabs" data-selector>
                            <button type="button" class="data-heading__control active" data-selector-control="tvl">TVL</button>
                            <button type="button" class="data-heading__control" data-selector-control="volume">Volume</button>
                            <button type="button" class="data-heading__control" data-selector-control="fees">Fees</button>
                        </div>
                        <div class="data-heading__scale">
                            <div class="switcher" data-switcher>
                                <button type="button" class="switcher__item" data-switcher-button="24">
                                    <span>24h</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-button="7">
                                    <span>7d</span>
                                </button>
                                <button type="button" class="switcher__item active" data-switcher-button="30">
                                    <span>M</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-button="15">
                                    <span>3m</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-button="12">
                                    <span>1y</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-button="24">
                                    <span>All</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="data-chart">
                        <canvas data-chart-01></canvas>
                    </div>
                </div>

                <div class="data-section mb-0" data-section>
                    <div class="data-heading">
                        <div class="data-heading__title">Assets Price</div>
                        <div class="data-heading__scale">
                            <div class="switcher" data-switcher>
                                <button type="button" class="switcher__item" data-switcher-btn="24">
                                    <span>24h</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-btn="7">
                                    <span>7d</span>
                                </button>
                                <button type="button" class="switcher__item active" data-switcher-btn="30">
                                    <span>M</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-btn="15">
                                    <span>3m</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-btn="12">
                                    <span>1y</span>
                                </button>
                                <button type="button" class="switcher__item" data-switcher-btn="24">
                                    <span>All</span>
                                </button>
                            </div>
                        </div>
                    </div>
                    <div class="data-chart">
                        <canvas data-chart-02></canvas>
                    </div>
                </div>
            </div>
            <div class="main-aside">
                <div class="row row-gap-30">
                    <div class="col-12">
                        <button type="button" class="btn btn-md btn-red btn-aside">
                            <span>ADD LIQUIDITY</span>
                        </button>
                    </div>
                    <div class="col-12 col-md-4 col-xl-12">
                        <div class="card">
                            <div class="h3 card__title">Pool Statistics</div>
                            <div class="card__content">
                                <ul class="card__nav">
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                </ul>
                            </div>
                        </div><!-- .card -->
                    </div>
                    <div class="col-12 col-md-4 col-xl-12">
                        <div class="card">
                            <div class="h3 card__title">Pool Statistics</div>
                            <div class="card__content">
                                <ul class="card__nav">
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                </ul>
                            </div>
                        </div><!-- .card -->
                    </div>
                    <div class="col-12 col-md-4 col-xl-12">
                        <div class="card">
                            <div class="h3 card__title">Pool Statistics</div>
                            <div class="card__content">
                                <ul class="card__nav">
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                    <li>
                                        <a href="#">Volume (24h)</a>
                                    </li>
                                </ul>
                            </div>
                        </div><!-- .card -->
                    </div>
                </div>
            </div>
        </div>
    </div><!-- .section -->


    <div class="section section--last">
        <div class="row row-gap-20">
            <div class="col-12 col-lg-6">
                <div class="card">
                    <h3 class="card__title">Protocol info</h3>
                    <div class="card__text">
                        <p>Our mission to be arbitrator of crypto market. Safe place. High standard for market. Create instrument for funds and manager and provide our client Our mission to be arbitrator of crypto market. Safe place. High standard for market. Create instrument for funds and manager and provide our client Our mission to be arbitrator of crypto market. Safe place. High standard for market.</p>
                    </div>
                </div>
            </div>
            <div class="col-12 col-lg-6">
                <div class="card">
                    <h3 class="card__title">Asset info</h3>
                    <div class="card__text">
                        <p> Our mission to be arbitrator of crypto market. Safe place. High standard for market. Create instrument for funds and manager and provide our client
                            Our mission to be arbitrator of crypto market. Safe place. High standard for market. Create instrument for funds and manager and provide our client</p>
                    </div>
                </div>
            </div>
        </div>
    </div><!-- .section -->


{% endblock %}


{% block pageScripts %}

    <script src="https://cdn.jsdelivr.net/npm/chart.js"></script>

    <script>

        const options = {
            plugins: {
                legend: {
                    display: false,
                }
            },
            xAxes: [{
                barPercentage: 10,
                categoryPercentage: 1
            }],
            scales: {
                y: {
                    tickColor: '#ffffff',
                },
                x: {
                    tickColor: '#ffffff',
                    grid: {
                        display: false
                    }
                }
            }
        }

        let width, height, gradient;
        function getGradient(ctx, chartArea) {
            const chartWidth = chartArea.right - chartArea.left;
            const chartHeight = chartArea.bottom - chartArea.top;
            if (!gradient || width !== chartWidth || height !== chartHeight) {
                // Create the gradient because this is either the first render
                // or the size of the chart has changed
                width = chartWidth;
                height = chartHeight;
                gradient = ctx.createLinearGradient(0, chartArea.bottom, 0, chartArea.top);
                gradient.addColorStop(1, 'rgba(1,118, 246, 0.8)');
                gradient.addColorStop(0, 'rgba(255, 255, 255, 0.6)');
            }
            return gradient;
        }

        const generateArray = (length, max) => (
            [...new Array(length)]
                .map(() => Math.round(Math.random() * max))
        );

        if (document.querySelector('[data-chart-01]')) {

            const barChart = document.querySelector('[data-chart-01]')


            let mainChart =  new Chart(barChart, {
                type: 'line',
                data: data = {
                    labels: Array.from(Array(30).keys()),
                    datasets: [{
                        label: '',
                        data: generateArray(30, 30),
                        borderWidth: 1,
                        tension: 0.5,
                        fill: true,
                        borderColor: '#0176F6',
                        backgroundColor: (context) => {
                            const chart = context.chart;
                            const {ctx, chartArea} = chart;
                            if (!chartArea) {
                                // This case happens on initial chart load
                                return;
                            }
                            return getGradient(ctx, chartArea);
                        },
                    }]
                },
                options: options
            });

            document.addEventListener('click', (event) => {
                if (event.target.closest('[data-selector-control]')) {
                    let selector = event.target.closest('[data-selector-control]').dataset.selectorControl;
                    let period = parseInt(event.target.closest('[data-section]').querySelector('[data-switcher-button].active').dataset.switcherButton)
                    let selectorData = [];

                    document.querySelector('[data-selector]').querySelectorAll('[data-selector-control]').forEach(elem => {
                        elem.classList.remove('active');
                    });
                    event.target.closest('[data-selector-control]').classList.add('active')

                    switch (selector) {
                        case 'tvl':
                            selectorData = generateArray(period, 30)
                            break;
                        case 'volume':
                            selectorData = generateArray(period, 20)
                            break;
                        case 'fees':
                            selectorData = generateArray(period, 10)
                            break;
                        default:
                    }

                    mainChart.data.datasets[0].data = selectorData
                    mainChart.data.labels = Array.from(Array(period).keys())
                    mainChart.update();
                }
            })

            document.addEventListener('click', (event) => {
                if (event.target.closest('[data-switcher-button]')) {

                    let selector = event.target.closest('[data-section]').querySelector('[data-selector-control].active').dataset.selectorControl;
                    let period = parseInt(event.target.closest('[data-switcher-button]').dataset.switcherButton)
                    let selectorData = [];

                    document.querySelector('[data-switcher]').querySelectorAll('[data-switcher-button]').forEach(elem => {
                        elem.classList.remove('active');
                    });
                    event.target.closest('[data-switcher-button]').classList.add('active')

                    switch (selector) {
                        case 'tvl':
                            selectorData = generateArray(period, 30)
                            break;
                        case 'volume':
                            selectorData = generateArray(period, 20)
                            break;
                        case 'fees':
                            selectorData = generateArray(period, 10)
                            break;
                        default:
                    }

                    mainChart.data.datasets[0].data = selectorData
                    mainChart.data.labels = Array.from(Array(period).keys())
                    mainChart.update();
                }
            })
        }


        if (document.querySelector('[data-chart-02]')) {

            const barChart2 = document.querySelector('[data-chart-02]')

            let mainChart2=  new Chart(barChart2, {
                type: 'line',
                data: data = {
                    labels: Array.from(Array(30).keys()),
                    datasets: [{
                        label: '',
                        data: generateArray(30, 30),
                        borderWidth: 1,
                        tension: 0.5,
                        fill: true,
                        borderColor: '#0176F6',
                        backgroundColor: (context) => {
                            const chart = context.chart;
                            const {ctx, chartArea} = chart;
                            if (!chartArea) {
                                // This case happens on initial chart load
                                return;
                            }
                            return getGradient(ctx, chartArea);
                        },
                    }]
                },
                options: options
            });

            document.addEventListener('click', (event) => {
                if (event.target.closest('[data-switcher-btn]')) {

                    let period = parseInt(event.target.closest('[data-switcher-btn]').dataset.switcherBtn)
                    let selectorData = generateArray(period, 30)

                    event.target.closest('[data-switcher]').querySelectorAll('[data-switcher-btn]').forEach(elem => {
                        elem.classList.remove('active');
                    });
                    event.target.closest('[data-switcher-btn]').classList.add('active')

                    console.log(selectorData)

                    mainChart2.data.datasets[0].data = selectorData
                    mainChart2.data.labels = Array.from(Array(period).keys())
                    mainChart2.update();
                }
            })
        }
    </script>
{% endblock %}


